Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# DebugKey Class Reference

Represents a request for debug output. More...

`#include <DebugKeyTable.h>`

List of all members.

## Public Types
enum | modes { disabled, always, n_times, every_n_times, every_n_ms }
## Public Member Functions
| DebugKey (modes mode=disabled, unsigned int n=0)
| construct a new DebugKey
void | set (modes mode=always, unsigned int n=0)
| sets the mode and the parameter of a DebugKey
## Public Attributes
modes | mode
| the mode of this DebugKey
unsigned int | n
| the parameter for timed or counted debug messages
unsigned long | last
| last time (ever_n_ms) or number of times (every_n_times, n_times) the message was sent
bool | active
| Determines if the key is active in the current frame This is set by activateDebugKeys().

## Detailed Description

Represents a request for debug output.

Definition at line 20 of file DebugKeyTable.h.

## Member Enumeration Documentation

enum DebugKey::modes

  | Enumeration values:
  disabled | dont send anything
  always | always send the debug message
  n_times | send the debug message the next n times (frames)
  every_n_times | send the message every n times (frames)
  every_n_ms | send the message at most every n milliseconds
Definition at line 23 of file DebugKeyTable.h.

## Constructor & Destructor Documentation

DebugKey::DebugKey | ( | modes | mode = disabled,
|  | unsigned int | n = 0
| ) |

| construct a new DebugKey Definition at line 14 of file DebugKeyTable.cpp.

## Member Function Documentation

void DebugKey::set | ( | modes | mode = always,
|  | unsigned int | n = 0
| ) |

| sets the mode and the parameter of a DebugKey Definition at line 18 of file DebugKeyTable.cpp. References active, and last. Referenced by DebugKeyTable::set(), DebugKeyTable::setMode(), and DebugKeyTable::setN().

## Member Data Documentation

modes DebugKey::mode

| the mode of this DebugKey Definition at line 32 of file DebugKeyTable.h. Referenced by DebugKeyTable::activate(), DebugKeyTable::getMode(), and DebugKeyTable::operator==().

unsigned int DebugKey::n

| the parameter for timed or counted debug messages Definition at line 35 of file DebugKeyTable.h. Referenced by DebugKeyTable::activate(), DebugKeyTable::getN(), and DebugKeyTable::operator==().

unsigned long DebugKey::last

| last time (ever_n_ms) or number of times (every_n_times, n_times) the message was sent Definition at line 38 of file DebugKeyTable.h. Referenced by DebugKeyTable::activate(), and set().

bool DebugKey::active

| Determines if the key is active in the current frame This is set by activateDebugKeys(). Definition at line 44 of file DebugKeyTable.h. Referenced by DebugKeyTable::activate(), DebugKeyTable::isActive(), and set().

The documentation for this class was generated from the following files:

- Tools/Debugging/DebugKeyTable.h
- Tools/Debugging/DebugKeyTable.cpp